org.gradle.api.tasks.scala

## Class IncrementalCompileOptions

- java.lang.Object
- - org.gradle.api.tasks.scala.IncrementalCompileOptions

-     @Incubating
      public class IncrementalCompileOptions
      extends Object

  Options for incremental compilation of Scala code. Only used for compilation with Zinc. This is not sent to the compiler daemon as options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncrementalCompileOptions(ProjectLayout objectFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegularFileProperty` | `getAnalysisFile()` Returns the file path where results of code analysis are to be stored.
    `RegularFileProperty` | `getPublishedCode()` Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncrementalCompileOptions

          @Inject
          public IncrementalCompileOptions(ProjectLayout objectFactory)

  - ### Method Detail

    - #### getAnalysisFile

          @LocalState
          public RegularFileProperty getAnalysisFile()

      Returns the file path where results of code analysis are to be stored.

    - #### getPublishedCode

          @Internal
          public RegularFileProperty getPublishedCode()

      Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.